Bug 605749 - X61 laptop freezes often
X61 laptop freezes often
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 13:22 EDT by Akshay Dua
Modified: 2011-06-27 14:32 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akshay Dua 2010-06-18 13:22:24 EDT
Description of problem:

I am not sure if pulseaudio is the problem but these were the last messages in the log file before the freeze occurred. If this should be multiple bugs please let me know which packages to file it for and how to split up the log file messages.

Jun 18 10:00:18 localhost pulseaudio[2007]: module-alsa-card.c: Failed to find a working profile.
Jun 18 10:00:18 localhost pulseaudio[2007]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" tsched=no ignore_dB=no card_properties="module-udev-detect.discovered=1""): initialization failed.

During the freeze... I have the system monitor applet installed in the panel which I can see functioning properly. I can move the mouse but clicks are unresponsive. Changing to a different virtual terminal worked, and I was able restart the X server. There were error messages (including the one above) in the log file after the restart as well:

Jun 18 10:03:39 localhost gnome-keyring-daemon[1883]: dbus failure unregistering from session: Connection is closed
Jun 18 10:03:39 localhost gnome-keyring-daemon[1883]: dbus failure unregistering from session: Connection is closed
Jun 18 10:03:39 localhost bonobo-activation-server (akshay-3255): could not associate with desktop session: Failed to connect to socket /tmp/dbus-oDQBJNWGNo: Connection refused
Jun 18 10:03:39 localhost console-kit-daemon[1744]: WARNING: Couldn't read /proc/1855/environ: Failed to open file '/proc/1855/environ': No such file or directory
Jun 18 10:03:40 localhost pulseaudio[3288]: pid.c: Stale PID file, overwriting.
Jun 18 10:03:40 localhost pulseaudio[3288]: main.c: Unable to contact D-Bus: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/dbus-oDQBJNWGNo: Connection refused
Jun 18 10:03:43 localhost rtkit-daemon[1868]: Sucessfully made thread 3339 of process 3339 (/usr/bin/pulseaudio) owned by '42' high priority at nice level -11.
Jun 18 10:03:43 localhost rtkit-daemon[1868]: Sucessfully made thread 3341 of process 3339 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Jun 18 10:03:43 localhost rtkit-daemon[1868]: Sucessfully made thread 3342 of process 3339 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Jun 18 10:03:43 localhost pulseaudio[3339]: module-alsa-card.c: Failed to find a working profile.
Jun 18 10:03:43 localhost pulseaudio[3339]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" tsched=yes ignore_dB=no card_properties="module-udev-detect.discovered=1""): initialization failed.
Jun 18 10:03:43 localhost gdm-simple-greeter[3329]: Gtk-WARNING: gtkwidget.c:5643: widget not within a GtkWindow
Jun 18 10:03:43 localhost gdm-simple-greeter[3329]: Gtk-WARNING: gtk_widget_size_allocate(): attempt to allocate widget with width 264 and height -1
Jun 18 10:03:43 localhost gdm-simple-greeter[3329]: WARNING: Unable to parse history: (null)   2#012
Jun 18 10:03:49 localhost gdm-simple-greeter[3329]: WARNING: Failed to send buffer
Jun 18 10:03:49 localhost pulseaudio[3288]: module-alsa-card.c: Failed to find a working profile.
Jun 18 10:03:49 localhost pulseaudio[3288]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" tsched=no ignore_dB=no card_properties="module-udev-detect.discovered=1""): initialization failed.
Jun 18 10:03:52 localhost rtkit-daemon[1868]: Sucessfully made thread 3487 of process 3487 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jun 18 10:03:52 localhost pulseaudio[3487]: pid.c: Daemon already running.

Version-Release number of selected component (if applicable):

How reproducible:
Can't reproduce yet. Happens every so often, but not sure what the conditions are. The last time it happened, I was doing the following:

1. Entered search term in Google Chrome search bar
2. That hangs Google Chrome but not the rest of the desktop
3. Then, I right click on the task button for Google Chrome, and click "Close"
4. This does not close Google Chrome, but makes it operational (yes, crazy)
5. Then, I click on the "Wrench menu" in Google Chrome which brings up the menu partially: just one transparent box with an outline and a shadow.
6. The whole desktop freezes.
Comment 2 Lennart Poettering 2010-06-29 17:36:36 EDT
I see no relation to PA, and even If PA triggers the freeze of your machine the kernel should make that impossible. Reassigning.
Comment 3 Bug Zapper 2011-06-02 06:21:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 14:32:11 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.